
<link rel="stylesheet" type="text/css" href="styleForm.css">

<form method="post" action="form.php">
  <fieldset>
    <legend>Informations personnelles :</legend>
    <div class="champ">
      <label for="nom">Nom de famille :</label>
      <input type="text" id="nom" name="nom" minlength="2" maxlength="25" required>
    </div>
    <div class="champ">
      <label for="prenom">Prénom :</label>
      <input type="text" id="prenom" name="prenom" minlength="2" maxlength="25" required>
    </div>
    <div class="champ">
      <label for="mail">Adresse mail :</label>
      <input type="email" id="mail" name="mail" required>
    </div>
    <div class="champ">
      <label for="age">Age :</label>
      <input type="number" id="age" name="age" min="16" max="99">
     </div>
    <div class="champ">
      <input type="radio" id="h" name="sexe" value="homme">
      <label for="h">Homme</label>
      <input type="radio" id="f" name="sexe" value="femme">
      <label for="f">Femme</label>
    </div>
  </fieldset>
  <fieldset>
    <legend>Compétences / expérience :</legend>
    <div class="champ">
      <input type="checkbox" id="html" name="competences" value="html">
      <label for="html">HTML</label>
      <input type="checkbox" id="css" name="competences" value="css">
      <label for="css">CSS</label>
      <input type="checkbox" id="js" name="competences" value="javascript">
      <label for="js">JavaScript</label>
      <input type="checkbox" id="php" name="competences" value="php">
      <label for="php">PHP</label>
      <input type="checkbox" id="sql" name="competences" value="sql">
      <label for="sql">SQL</label>
      <input type="checkbox" id="seo" name="competences" value="seo">
      <label for="seo">SEO</label>
    </div>
    <div class="champ">
      <textarea name="exp" placeholder="Décrivez une expérience pro" maxlength="500"></textarea>
    </div>
  </fieldset>
  <fieldset>
    <legend>Validation :</legend>
    <div class="champ">
      <label for="pass">Choisissez un mot de passe :</label>
      <input type="password" minlength="8" required>
    </div>
    <input type="submit" value="Envoyer">
  </fieldset>
</form>